CREATE TABLE mkt_imp_object_attrs (
    OBJECT_ATTR_ID                 NUMBER(18, 0) ,
    USERKEY_FLAG                   VARCHAR2(4)   ,
    STANDARD_OBJECT_ATTR_COL       VARCHAR2(400) ,
    STANDARD_OBJECT_ATTR_TABLE     VARCHAR2(400) ,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_DETAIL_ID               NUMBER(18, 0) ,
    OBJECT_ATTR_COL                VARCHAR2(400) ,
    OBJECT_ATTR_NAME               VARCHAR2(400) ,
    OBJECT_ATTR_TYPE               VARCHAR2(120) ,
    OBJECT_ATTR_LEN                NUMBER        ,
    OBJECT_ATTR_DEFAULT            VARCHAR2(4000),
    MAPPABLE_FLAG                  VARCHAR2(4)   ,
    OBJECT_ATTR_TABLE              VARCHAR2(400) ,
    MANDATORY_FLAG                 VARCHAR2(4)   ,
    OBJECT_ATTR_NUMBER             VARCHAR2(640) ,
    DISPLAY_VALUE                  VARCHAR2(120) ,
    COLUMN_HEADER_NAME             VARCHAR2(480) ,
    TXN_VO_ATTR_NAME               VARCHAR2(400) ,
    TXN_VO_ATTR_COL                VARCHAR2(400) ,
    TXN_VO_ATTR_TABLE              VARCHAR2(400) ,
    MD_UPDATABLE_FLAG              VARCHAR2(4)   ,
    MD_DEFAULT_VALUE               CLOB          ,
    MD_ATTR_TYPE                   VARCHAR2(200) ,
    MD_ATTR_MIN_LENGTH             NUMBER        ,
    MD_ATTR_MAX_VALUE              NUMBER        ,
    MD_ATTR_MIN_VALUE              NUMBER        ,
    MD_ATTR_DECIMAL_VALUE          NUMBER        ,
    MD_ATTR_FCL_LOOKUP_TYPE        VARCHAR2(400) ,
    MD_ATTR_DCL_BASE_TABLE_NAME    VARCHAR2(160) ,
    MD_ATTR_DCL_BASE_TABLE_PK1     VARCHAR2(160) ,
    MD_ATTR_DCL_BASE_TABLE_PK2     VARCHAR2(160) ,
    MD_ATTR_DCL_BASE_CATEGORY      VARCHAR2(160) ,
    MD_USER_KEY1                   VARCHAR2(160) ,
    MD_USER_KEY2                   VARCHAR2(160) ,
    MD_USER_KEY3                   VARCHAR2(160) ,
    MD_USER_KEY4                   VARCHAR2(160) ,
    MD_ALTERNATE_KEY1              VARCHAR2(160) ,
    MD_ALTERNATE_KEY2              VARCHAR2(160) ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    OBJECT_ATTR_ID                 NUMBER(18, 0) ,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_DETAIL_ID               NUMBER(18, 0) ,
    OBJECT_ATTR_COL                VARCHAR2(400) ,
    OBJECT_ATTR_NAME               VARCHAR2(400) ,
    OBJECT_ATTR_TYPE               VARCHAR2(120) ,
    OBJECT_ATTR_LEN                NUMBER        ,
    OBJECT_ATTR_DEFAULT            VARCHAR2(4000),
    MAPPABLE_FLAG                  VARCHAR2(4)   ,
    OBJECT_ATTR_TABLE              VARCHAR2(400) ,
    MANDATORY_FLAG                 VARCHAR2(4)   ,
    OBJECT_ATTR_NUMBER             VARCHAR2(640) ,
    DISPLAY_VALUE                  VARCHAR2(120) ,
    COLUMN_HEADER_NAME             VARCHAR2(480) ,
    TXN_VO_ATTR_NAME               VARCHAR2(400) ,
    TXN_VO_ATTR_COL                VARCHAR2(400) ,
    TXN_VO_ATTR_TABLE              VARCHAR2(400) ,
    MD_UPDATABLE_FLAG              VARCHAR2(4)   ,
    MD_DEFAULT_VALUE               CLOB          ,
    MD_ATTR_TYPE                   VARCHAR2(200) ,
    MD_ATTR_MIN_LENGTH             NUMBER        ,
    MD_ATTR_MAX_VALUE              NUMBER        ,
    MD_ATTR_MIN_VALUE              NUMBER        ,
    MD_ATTR_DECIMAL_VALUE          NUMBER        ,
    MD_ATTR_FCL_LOOKUP_TYPE        VARCHAR2(400) ,
    MD_ATTR_DCL_BASE_TABLE_NAME    VARCHAR2(160) ,
    MD_ATTR_DCL_BASE_TABLE_PK1     VARCHAR2(160) ,
    MD_ATTR_DCL_BASE_TABLE_PK2     VARCHAR2(160) ,
    MD_ATTR_DCL_BASE_CATEGORY      VARCHAR2(160) ,
    MD_USER_KEY1                   VARCHAR2(160) ,
    MD_USER_KEY2                   VARCHAR2(160) ,
    MD_USER_KEY3                   VARCHAR2(160) ,
    MD_USER_KEY4                   VARCHAR2(160) ,
    MD_ALTERNATE_KEY1              VARCHAR2(160) ,
    MD_ALTERNATE_KEY2              VARCHAR2(160) ,
    USERKEY_FLAG                   VARCHAR2(4)   ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    STANDARD_OBJECT_ATTR_COL       VARCHAR2(400) ,
    STANDARD_OBJECT_ATTR_TABLE     VARCHAR2(400) ,
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_mkt_imp_object_attrs PRIMARY KEY (OBJECT_ATTR_ID, OBJECT_ATTR_ID)
);
